claw::const_dereference< T > Class Template Reference

Function object that dereferences a constant pointer. More...

`#include <functional.hpp>`

Inheritance diagram for claw::const_dereference< T >:

## Public Member Functions

| const_dereference (const dereference< T > &)
| const_dereference (const const_dereference< T > &)
const T & | operator() (const T *a) const

## Detailed Description

template<typename T>
class claw::const_dereference< T >

Function object that dereferences a constant pointer.

Template arguments:

- T The pointed type (ie. int, not int*.

Author
  Julien Jorge

Definition at line 315 of file functional.hpp.

## Constructor & Destructor Documentation

## const_dereference() [1/3]

template<typename T>

claw::const_dereference< T >::const_dereference | ( |  | ) |

inline

Definition at line 319 of file functional.hpp.

## const_dereference() [2/3]

template<typename T>

claw::const_dereference< T >::const_dereference | ( | const dereference< T > & |  | ) |

inline

Definition at line 320 of file functional.hpp.

## const_dereference() [3/3]

template<typename T>

claw::const_dereference< T >::const_dereference | ( | const const_dereference< T > & |  | ) |

inline

Definition at line 321 of file functional.hpp.

## Member Function Documentation

## operator()()

template<typename T>

const T & claw::const_dereference< T >::operator() | ( | const T * | a | ) | const

inline

Definition at line 323 of file functional.hpp.

The documentation for this class was generated from the following file:

- functional.hpp